drop table UMA_Alert_On_Lhhr;

create table UMA_Alert_On_Lhhr (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Retransmission_Int varchar(20),
   Polling_Interval varchar(20),
   Heartbeat_Interval varchar(20),
   HWARE_VER varchar(255),
   Alert_Destination varchar(255),
   Auto_Clear_Events varchar(32),
   Heartbeat_Enabled varchar(32),
   HWARE_Enabled varchar(32),
   Watchdog_Interval varchar(20),
   Watchdog_Enabled varchar(32) );

alter table UMA_Alert_On_Lhhr add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VAlert_On_Lhhr;

create view UMA_VAlert_On_Lhhr
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Alert_On_Lhhr.*
from
   COMPUTER_SYS, UMA_Alert_On_Lhhr
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Alert_On_Lhhr.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAlert_On_Lhhr');

drop table UMA_AssetID;

create table UMA_AssetID (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   SYS_Name varchar(255),
   SYS_Model varchar(255),
   Product_Name varchar(255),
   LCCM_Image_PRFL varchar(64),
   LCCM_Image_Date varchar(25),
   SYS_SER_Numb varchar(255),
   SYS_GUID varchar(255),
   SYS_Asset_Numbe varchar(64),
   AssetID_Tag varchar(255),
   Last_Inventoried varchar(25),
   Purchase_Date varchar(25) );

alter table UMA_AssetID add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VAssetID;

create view UMA_VAssetID
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_AssetID.*
from
   COMPUTER_SYS, UMA_AssetID
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_AssetID.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAssetID');

drop table UMA_BIOS_Details;

create table UMA_BIOS_Details (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   BIOS_Manufacturer varchar(255),
   BIOS_VER varchar(64),
   BIOS_Release_Date varchar(25),
   SUPP_SMBIOS varchar(32),
   SMBIOS_Major_Versi varchar(20),
   SMBIOS_Minor_Versi varchar(20) );

alter table UMA_BIOS_Details add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VBIOS_Details;

create view UMA_VBIOS_Details
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_BIOS_Details.*
from
   COMPUTER_SYS, UMA_BIOS_Details
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_BIOS_Details.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VBIOS_Details');

drop table UMA_Cache;

create table UMA_Cache (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   LEVEL varchar(255),
   SYS_Cache_Size varchar(20),
   SYS_Cache_Write varchar(255),
   Socket_Designation varchar(255),
   Cache_Location varchar(255) );

alter table UMA_Cache add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VCache;

create view UMA_VCache
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Cache.*
from
   COMPUTER_SYS, UMA_Cache
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Cache.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCache');

drop table UMA_SYS_Encyoe;

create table UMA_SYS_Encyoe (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Manufacturer varchar(255),
   Type varchar(255),
   Cabinet_Lock_Prese varchar(32) );

alter table UMA_SYS_Encyoe add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VSYS_Encyoe;

create view UMA_VSYS_Encyoe
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_SYS_Encyoe.*
from
   COMPUTER_SYS, UMA_SYS_Encyoe
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_SYS_Encyoe.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Encyoe');

drop table UMA_CIM;

create table UMA_CIM (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   CIM_VER varchar(255) );

alter table UMA_CIM add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VCIM;

create view UMA_VCIM
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_CIM.*
from
   COMPUTER_SYS, UMA_CIM
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_CIM.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCIM');

drop table UMA_SYS_Boac1d;

create table UMA_SYS_Boac1d (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   String varchar(255) );

alter table UMA_SYS_Boac1d add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VSYS_Boac1d;

create view UMA_VSYS_Boac1d
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_SYS_Boac1d.*
from
   COMPUTER_SYS, UMA_SYS_Boac1d
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_SYS_Boac1d.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Boac1d');

drop table UMA_IP_NET;

create table UMA_IP_NET (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   IP_ADDR varchar(255),
   IP_Subnet_Mask varchar(255),
   IP_Gateway varchar(255),
   DNS_Servers varchar(255),
   DHCP_Enabled varchar(32),
   DNS_Hostname varchar(255),
   DNS_Domain varchar(255) );

alter table UMA_IP_NET add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VIP_NET;

create view UMA_VIP_NET
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_IP_NET.*
from
   COMPUTER_SYS, UMA_IP_NET
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_IP_NET.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIP_NET');

drop table UMA_IPX_Networc1c;

create table UMA_IPX_Networc1c (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   IPX_Enabled varchar(32),
   IPX_Frame_Type varchar(255),
   IPX_ADDR varchar(255) );

alter table UMA_IPX_Networc1c add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VIPX_Networc1c;

create view UMA_VIPX_Networc1c
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_IPX_Networc1c.*
from
   COMPUTER_SYS, UMA_IPX_Networc1c
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_IPX_Networc1c.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIPX_Networc1c');

drop table UMA_Lease_Infoujc;

create table UMA_Lease_Infoujc (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Lessor varchar(64),
   Lease_ST_Date varchar(25),
   Lease_End_Date varchar(25),
   Lease_Term_months varchar(20),
   Lease_Amount varchar(20) );

alter table UMA_Lease_Infoujc add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VLease_Infoujc;

create view UMA_VLease_Infoujc
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Lease_Infoujc.*
from
   COMPUTER_SYS, UMA_Lease_Infoujc
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Lease_Infoujc.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VLease_Infoujc');

drop table UMA_Geographicuj7;

create table UMA_Geographicuj7 (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Locale varchar(255),
   Country_Code varchar(255),
   OS_LANG varchar(20),
   Code_Set varchar(6) );

alter table UMA_Geographicuj7 add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VGeographicuj7;

create view UMA_VGeographicuj7
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Geographicuj7.*
from
   COMPUTER_SYS, UMA_Geographicuj7
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Geographicuj7.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VGeographicuj7');

drop table UMA_MEM_Detf0m;

create table UMA_MEM_Detf0m (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV_Locator varchar(255),
   siz varchar(20),
   Form_Factor varchar(255),
   Type varchar(255),
   Speed varchar(20),
   Data_Width varchar(20),
   Total_Width varchar(20) );

alter table UMA_MEM_Detf0m add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VMEM_Detf0m;

create view UMA_VMEM_Detf0m
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_MEM_Detf0m.*
from
   COMPUTER_SYS, UMA_MEM_Detf0m
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_MEM_Detf0m.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VMEM_Detf0m');

drop table UMA_NET_Def0l;

create table UMA_NET_Def0l (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   NET_Adapter varchar(255),
   NET_DRV varchar(255),
   MAC_ADDR varchar(255) );

alter table UMA_NET_Def0l add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VNET_Def0l;

create view UMA_VNET_Def0l
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_NET_Def0l.*
from
   COMPUTER_SYS, UMA_NET_Def0l
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_NET_Def0l.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VNET_Def0l');

drop table UMA_Personalizsq3;

create table UMA_Personalizsq3 (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Label1 varchar(64),
   Data1 varchar(64),
   Label2 varchar(64),
   Data2 varchar(64),
   Label3 varchar(64),
   Data3 varchar(64),
   Label4 varchar(64),
   Data4 varchar(64),
   Label5 varchar(64),
   Data5 varchar(64) );

alter table UMA_Personalizsq3 add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VPersonalizsq3;

create view UMA_VPersonalizsq3
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Personalizsq3.*
from
   COMPUTER_SYS, UMA_Personalizsq3
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Personalizsq3.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPersonalizsq3');

drop table UMA_Port_Conneoit;

create table UMA_Port_Conneoit (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Logical_Name varchar(255),
   Connector_Type varchar(255),
   Port_Type varchar(255),
   Tag varchar(255),
   Internal_Ports varchar(255) );

alter table UMA_Port_Conneoit add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VPort_Conneoit;

create view UMA_VPort_Conneoit
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Port_Conneoit.*
from
   COMPUTER_SYS, UMA_Port_Conneoit
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Port_Conneoit.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPort_Conneoit');

drop table UMA_Processor_f0j;

create table UMA_Processor_f0j (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Processor varchar(255),
   Family varchar(255),
   Clock_Speed varchar(20),
   External_Clock_Spe varchar(20),
   Max_Clock_Speed varchar(20),
   Manufacturer varchar(255),
   Processor_ID varchar(255),
   Processor_Type varchar(255) );

alter table UMA_Processor_f0j add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VProcessor_f0j;

create view UMA_VProcessor_f0j
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Processor_f0j.*
from
   COMPUTER_SYS, UMA_Processor_f0j
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Processor_f0j.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VProcessor_f0j');

drop table UMA_SER_Numuj4;

create table UMA_SER_Numuj4 (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Asset varchar(255),
   SER_NUM varchar(23),
   Manufacturer varchar(255),
   Model varchar(255),
   Type varchar(255) );

alter table UMA_SER_Numuj4 add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VSER_Numuj4;

create view UMA_VSER_Numuj4
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_SER_Numuj4.*
from
   COMPUTER_SYS, UMA_SER_Numuj4
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_SER_Numuj4.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSER_Numuj4');

drop table UMA_SYS_Slots;

create table UMA_SYS_Slots (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Slot_Type varchar(255),
   Slot_Data_Bus_Widt varchar(255),
   SUPP_Hot_Plug varchar(32),
   Current_Usage varchar(255),
   SlotDesignation varchar(255),
   Shared_Slot_Openin varchar(32),
   SUPP_PME_Signa varchar(32),
   Tag varchar(255) );

alter table UMA_SYS_Slots add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VSYS_Slots;

create view UMA_VSYS_Slots
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_SYS_Slots.*
from
   COMPUTER_SYS, UMA_SYS_Slots
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_SYS_Slots.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Slots');

drop table UMA_SNMP_Agentc1b;

create table UMA_SNMP_Agentc1b (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   SNMP_Traps_Enabled varchar(32),
   Trap_Destinations varchar(255) );

alter table UMA_SNMP_Agentc1b add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VSNMP_Agentc1b;

create view UMA_VSNMP_Agentc1b
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_SNMP_Agentc1b.*
from
   COMPUTER_SYS, UMA_SNMP_Agentc1b
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_SNMP_Agentc1b.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSNMP_Agentc1b');

drop table UMA_IBM_UM_Seroqd;

create table UMA_IBM_UM_Seroqd (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Name varchar(255),
   VER varchar(64),
   Build_NUM varchar(64),
   HTTPD_Port varchar(20),
   SNMP_Traps_Enabled varchar(32),
   Trap_Destinations varchar(255) );

alter table UMA_IBM_UM_Seroqd add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VIBM_UM_Seroqd;

create view UMA_VIBM_UM_Seroqd
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_IBM_UM_Seroqd.*
from
   COMPUTER_SYS, UMA_IBM_UM_Seroqd
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_IBM_UM_Seroqd.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIBM_UM_Seroqd');

drop table UMA_User_Details;

create table UMA_User_Details (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   User_Name varchar(64),
   User_Phone varchar(64),
   User_Department varchar(64),
   User_Position varchar(64),
   SYS_Location varchar(64) );

alter table UMA_User_Details add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VUser_Details;

create view UMA_VUser_Details
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_User_Details.*
from
   COMPUTER_SYS, UMA_User_Details
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_User_Details.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VUser_Details');

drop table UMA_VID_Details;

create table UMA_VID_Details (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Manufacturer varchar(255),
   DESCRIP varchar(255),
   Current_Vertical_R varchar(20),
   Current_Horizontal varchar(20),
   Current_NUM_of varchar(20),
   VID_RAM_MEM_S varchar(20),
   DRV_Filename varchar(255),
   Current_Refresh_Ra varchar(20),
   Color_Depth varchar(20) );

alter table UMA_VID_Details add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VVID_Details;

create view UMA_VVID_Details
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_VID_Details.*
from
   COMPUTER_SYS, UMA_VID_Details
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_VID_Details.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VVID_Details');

drop table UMA_Warranty_Iuj9;

create table UMA_Warranty_Iuj9 (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Warranty_Duration varchar(20),
   Warranty_End_Date varchar(25),
   Warranty_Cost varchar(20) );

alter table UMA_Warranty_Iuj9 add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VWarranty_Iuj9;

create view UMA_VWarranty_Iuj9
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_Warranty_Iuj9.*
from
   COMPUTER_SYS, UMA_Warranty_Iuj9
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_Warranty_Iuj9.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VWarranty_Iuj9');

drop view UMS_VINST_UMS;

create view UMS_VINST_UMS
as
select
    COMPUTER_SYS.HWARE_SYS_ID,
    COMPUTER_SYS.TME_OBJECT_ID,
    COMPUTER_SYS.TME_OBJECT_LABEL,
    INST_UNKNOWN_FILE.INST_FILE_NAME,
    INST_UNKNOWN_FILE.INST_FILE_SIZE,
    INST_UNKNOWN_FILE.INST_FILE_PATH,
    INST_UNKNOWN_FILE.INST_FILE_DATE,
    INST_UNKNOWN_FILE.INST_FILE_TIME

from
    COMPUTER_SYS,
    INST_UNKNOWN_FILE
where
    COMPUTER_SYS.HWARE_SYS_ID =
    INST_UNKNOWN_FILE.HWARE_SYS_ID
and 
    upper(INST_UNKNOWN_FILE.INST_FILE_NAME) = 'UMSAGENT.MOF';    

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VINST_UMS');

drop view UMS_VIP_MAC_ADDR;

create view UMS_VIP_MAC_ADDR
as
select
    COMPUTER_SYS.HWARE_SYS_ID,
    COMPUTER_SYS.TME_OBJECT_ID,
    COMPUTER_SYS.TME_OBJECT_LABEL,
    UMA_Net_Def0l.MAC_Addr,
    UMA_IP_Netc1b.IP_Addr,
    UMA_IP_Netc1b.IP_Subnet_Mask

from
    COMPUTER_SYS,
    UMA_Net_Def0l,
    UMA_IP_Netc1b
where
    COMPUTER_SYS.HWARE_SYS_ID =
    UMA_Net_Def0l.HWARE_SYS_ID
and 
    COMPUTER_SYS.HWARE_SYS_ID =
    UMA_IP_Netc1b.HWARE_SYS_ID
and
    UMA_Net_Details.Row_Index =
    UMA_IP_Netc1b.Row_Index;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VIP_MAC_ADDR');

drop table UMA_DMI;

create table UMA_DMI (
   HWARE_SYS_ID varchar(64) NOT NULL,
   CFG_CHG_TYPE varchar(12) NOT NULL,
   CFG_CHG_TIME varchar(32) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Ver varchar(64),
   Product varchar(64),
   Win32_DMI_Director varchar(64) );
alter table UMA_DMI add primary key ( HWARE_SYS_ID, CFG_CHG_TYPE, Row_Index );

drop view UMA_VDMI;

create view UMA_VDMI
as
select
   COMPUTER_SYS.TME_OBJECT_ID,
   COMPUTER_SYS.TME_OBJECT_LABEL,
   UMA_DMI.*
from
   COMPUTER_SYS, UMA_DMI
where
   COMPUTER_SYS.HWARE_SYS_ID =
   UMA_DMI.HWARE_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VDMI');

commit;
